Bug 46145 - swapoff performance on kernel 2.4.3-12
swapoff performance on kernel 2.4.3-12
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-26 23:01 EDT by Ed McKenzie
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 10:04:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2001-06-26 23:01:36 EDT
swapoff appears to be broken on 2.4.3-12.  Running swapoff -a on 2.2 used
to take about as long as it would to read the data back into memory, but in
recent 2.4 it seems to lock up the system with no LED activity for a good
while.  It eventually comes back after several minutes, but this isn't
correct behavior.

IIRC there was a thread about this on lkml some time ago.
Comment 1 Arjan van de Ven 2001-06-27 04:17:41 EDT
There was. And it appears the very brand spanking new kernels (2.4.6pre5) 
have _some_ improvements in this area, although it's far from perfect.

Note You need to log in before you can comment on or make changes to this bug.